Google Web Toolkit (Beta)
Search this site:

# Class Throwable

public class Throwable
extends Object
// Superclass of `Exception`, `Error`
See the official Java API doc for details.

## Constructors

Throwable() |
Throwable(String) |
Throwable(String, Throwable) |
Throwable(Throwable) |

## Methods

fillInStackTrace() | Stack traces are not currently populated by GWT.
getCause() |
getLocalizedMessage() |
getMessage() |
getStackTrace() | Stack traces are not currently populated by GWT.
initCause(Throwable) |
printStackTrace() |
printStackTrace(PrintStream) |
setStackTrace(StackTraceElement[]) |
toString() |